 
all:
	@echo "===== Compilation de toutes les applications ====="
	make part1
	make part2
	@echo "===== Termine ====="

part1:
	@echo "----- Compilation des programmes de la partie 1 -----"
	make -C ./Partie_1/Thread/
	make -C ./Partie_1/MPI/
	make -C ./Partie_1/Hybride/
	@echo "----- Compilation partie 1 termine -----"

part2:
	@echo "----- Compilation des programmes de la partie 2 -----"
	make -C ./Partie_2/Moyenne/
	make -C ./Partie_2/EMA/
	@echo "----- Compilation partie 2 termine -----"

clean:
	@echo "===== Suppression des programmes ====="
	make -C ./Partie_1/Thread/ clean
	make -C ./Partie_1/MPI/ clean
	make -C ./Partie_1/Hybride/ clean
	make -C ./Partie_2/Moyenne/ clean
	make -C ./Partie_2/EMA/ clean
	@echo "===== Termine ====="